<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div class="container">
		<div class="row">
			<div class="col-xs-12 text-center">
				<h1 class="not_found_heading"><?php echo esc_html__( '404', 'spiffy-lite' ); ?></h1>
				<h2><?php echo esc_html__( 'Page not found', 'spiffy-lite' ); ?></h2>
				<p><?php echo esc_html__( 'It looks like nothing was found at this location. Maybe try a search?', 'spiffy-lite' ); ?></p>
				<?php get_search_form(); ?>
				<a class="white-button" href="<?php echo esc_url( get_site_url() ); ?>"><?php echo esc_html__( 'Go to homepage', 'spiffy-lite' ); ?></a>
			</div>
		</div>
	</div>

<?php get_footer(); ?>
