( function( $ ) {

	// Update the site logo in real time...
	wp.customize( 'spiffy_logo', function( value ) {
		value.bind( function( newval ) {
			if (newval) {
				$( '.spiffy-logo' ).html( '<img src="'+newval+'" alt=""/>' );
			} else {
				$( '.spiffy-logo' ).html( '' );
			}
		} );
	} );

	// Update the footer copyright text in real time...
	wp.customize( 'spiffy_copyright_text', function( value ) {
		value.bind( function( newval ) {
			if (newval) {
				$( '.copyright-text' ).html( newval );
			} else {
				$( '.copyright-text' ).html( '' );
			}
		} );
	} );

	// Update the site logo in footer.
	wp.customize( 'spiffy_logo_footer', function( value ) {
		value.bind( function( newval ) {
			if (newval) {
				$( '.footer-logo' ).html( '<img src="'+newval+'" alt=""/>' );
			} else {
				$( '.footer-logo' ).html( '' );
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_blog_layout', function( value ) {
		value.bind( function( newval ) {
			if ( newval.indexOf('fullwidth') !== -1 ){
				$( '.spiffy-content' ).removeClass( 'container' ).addClass( 'container-fluid' );
			} else {
				$( '.spiffy-content' ).removeClass( 'container-fluid' ).addClass( 'container' );
			}
		} );
	} );

	// Update the blog meta
	wp.customize( 'spiffy_blog_hide_date', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.spf-date').fadeOut();
			} else {
				$('.spf-date').fadeIn();
			}
		} );
	} );

	wp.customize( 'spiffy_blog_hide_author', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.spf-author').fadeOut();
			} else {
				$('.spf-author').fadeIn();
			}
		} );
	} );

	wp.customize( 'spiffy_blog_hide_category', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.spf-category').fadeOut();
			} else {
				$('.spf-category').fadeIn();
			}
		} );
	} );

	wp.customize( 'spiffy_blog_hide_comments_count', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.spf-comments-nr').fadeOut();
			} else {
				$('.spf-comments-nr').fadeIn();
			}
		} );
	} );

	wp.customize( 'spiffy_blog_hide_tags', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.spf-tags').fadeOut();
			} else {
				$('.spf-tags').fadeIn();
			}
		} );
	} );

	wp.customize( 'spiffy_display_navigation_for_pages', function( value ) {
		value.bind( function( newval ) {
			if ( newval ) {
				$('.navigation.post-navigation').fadeIn();
			} else {
				$('.navigation.post-navigation').fadeOut();
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_featured_post_1_alignment', function( value ) {
		value.bind( function( newval ) {
			if ( 'right' == newval ){
				$( '.spf-featured-content' ).addClass( 'content-on-right' );
			} else {
				$( '.spf-featured-content' ).removeClass( 'content-on-right' );
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_hide_breadcrumbs', function( value ) {
		value.bind( function( newval ) {
			if ( newval ){
				$( '.spf-breadcrumbs' ).fadeOut();
			} else {
				$( '.spf-breadcrumbs' ).fadeIn();
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_hide_featured_image', function( value ) {
		value.bind( function( newval ) {
			if ( newval ){
				$( '.spf-featured-image' ).fadeOut();
			} else {
				$( '.spf-featured-image' ).fadeIn();
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_scroll_to_top', function( value ) {
		value.bind( function( newval ) {
			if ( 'yes' == newval ){
				$( '#pix_sp_scroll_to_top' ).fadeIn();
			} else {
				$( '#pix_sp_scroll_to_top' ).fadeOut();
			}
		} );
	} );

	// Update the site layout in real time...
	wp.customize( 'spiffy_scroll_down_button', function( value ) {
		value.bind( function( newval ) {
			if ( 'yes' == newval ){
				$( '.scrolldown-button' ).removeClass('hidden');
			} else {
				$( '.scrolldown-button' ).addClass('hidden');
			}
		} );
	} );

	// Update the title in real time...
	wp.customize( 'spiffy_woo_featured_title', function( value ) {
		value.bind( function( newval ) {
			$( '.spfw-title' ).text( newval );
		} );
	} );
	// Update the title color in real time...
	wp.customize( 'spiffy_woo_featured_title_color', function( value ) {
		value.bind( function( newval ) {
			$( '.spfw-title' ).css( 'color', newval );
		} );
	} );
	// Update the description in real time...
	wp.customize( 'spiffy_woo_featured_description', function( value ) {
		value.bind( function( newval ) {
			$( '.spfw-description' ).text( newval );
		} );
	} );
	// Update the title color in real time...
	wp.customize( 'spiffy_woo_featured_description_color', function( value ) {
		value.bind( function( newval ) {
			$( '.spfw-description' ).css( 'color', newval );
		} );
	} );
	// Update the title color in real time...
	wp.customize( 'spiffy_woo_featured_text_alignment', function( value ) {
		value.bind( function( newval ) {
			$( '.spfw-alignment' ).removeClass( 'text-right text-center text-left text-justify' ).addClass( 'text-'+newval );
		} );
	} );
	// Update the link in real time...
	wp.customize( 'spiffy_woo_featured_link', function( value ) {
		value.bind( function( newval ) {
			var link = $('.spfw-link').find('a');
			if ( link.length ) {
				link.attr( 'href', newval );
			} else {
				var link_html = '<a href="' + newval + '">' + newval + '</a>';
				$('.spfw-link').html( link_html );
			}
		} );
	} );
	// Update the link in real time...
	wp.customize( 'spiffy_woo_featured_link_title', function( value ) {
		value.bind( function( newval ) {
			var link = $('.spfw-link').find('a');
			if ( link.length ) {
				link.text( newval );
			}
		} );
	} );
	// Update the link in real time...
	wp.customize( 'spiffy_woo_featured_link_color', function( value ) {
		value.bind( function( newval ) {
			var link = $('.spfw-link').find('a');
			if ( link.length ) {
				link.css( 'color', newval );
			}
		} );
	} );

	// Update the link in real time...
	wp.customize( 'spiffy_woo_menu_alignment', function( value ) {
		value.bind( function( newval ) {
			var to_add = 'pull-left';
			var to_remove = 'pull-right';
			if ( 'right' == newval ) {
				to_add = 'pull-right';
				to_remove = 'pull-left';
			}
			$('.spiffy-woo-menu').removeClass( to_remove ).addClass( to_add );
			$('.spiffy-woo-cart').removeClass( to_remove ).addClass( to_add );
			$('.spiffy-woo-account').removeClass( to_remove ).addClass( to_add );
			$('.spiffy-woo-search').removeClass( to_remove ).addClass( to_add );
		} );
	} );

} )( jQuery );
