<?php
/**
 * Comments page
 *
 * @package spiffy-lite
 * @subpackage spiffy-lite
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/*
* If the current post is protected by a password and
* the visitor has not yet entered the password we will
* return early without loading the comments.
*/
if ( post_password_required() ) {
	return;
}
?>

<?php if ( have_comments() ) : ?>
	<h3 id="comments">
		<?php
		if ( 1 === get_comments_number() ) :
			printf( esc_html__( 'One response to %s', 'spiffy-lite' ),  '&#8220;' . get_the_title() . '&#8221;' );
		else :
			printf( esc_html( _n( '%1$s response to %2$s', '%1$s responses to %2$s', get_comments_number(), 'spiffy-lite' ) ),
			esc_html( number_format_i18n( get_comments_number() ) ),  '&#8220;' . get_the_title() . '&#8221;' );
		endif;
		?>
	</h3>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

	<ol class="commentlist">
		<?php wp_list_comments();?>
	</ol>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
<?php else : ?>
	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->
	<?php else : ?>
		<p class="nocomments"><?php echo esc_html__( 'Comments are closed.', 'spiffy-lite' ); ?></p>
	<?php endif; ?>
<?php endif; ?>

<?php
// Need this to add styling effect to submit button.
$comments_args = array(
	'submit_button' => '<p class="spf-comment-submit"><button name="%1$s" type="submit" id="%2$s" class="%3$s">%4$s</button></p>',
);
comment_form( $comments_args );
?>
