<?php
/**
 * Default body template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<div class="spf-post-meta">
	<?php if ( get_post_format() ) : ?>
		<span class="spf-meta spf-post-format">
			<a class="entry-format" href="<?php echo esc_url( get_post_format_link( get_post_format() ) ); ?>"><span><?php echo esc_html( get_post_format_string( get_post_format() ) ); ?></span></a>
		</span>
	<?php endif; ?>

	<?php if ( ! spiffy_lite_get_theme_mod( 'spiffy_lite_blog_hide_author' ) ) : ?>
		<div class="spf-author spf-meta"><?php esc_html_e( 'By: ', 'spiffy-lite' ); ?><?php the_author(); ?></div>
	<?php endif; ?>
	<?php if ( ! spiffy_lite_get_theme_mod( 'spiffy_lite_blog_hide_date' ) ) : ?>
		<?php the_date( false, '<div class="spf-date spf-meta">', '</div>' ); ?>
	<?php endif; ?>
	<?php if ( ! spiffy_lite_get_theme_mod( 'spiffy_lite_blog_hide_category' ) ) : ?>
		<div class="spf-category spf-meta"><?php the_category( ' &bull; ' ); ?></div>
	<?php endif; ?>
	<?php if ( ! spiffy_lite_get_theme_mod( 'spiffy_lite_blog_hide_comments_count' ) ) : ?>
		<div class="spf-comments-nr spf-meta"><?php comments_number(); ?></div>
	<?php endif; ?>
	<div class="clear"></div>
</div>
