<?php
/**
 * Default body template
 *
 * @package spiffy-lite
 * @subpackage tempolate-parts
 * @since Spiffy Lite 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$hide_featured_image = spiffy_lite_get_theme_mod( 'spiffy_lite_hide_featured_image' );
$hide_breadcrumbs = spiffy_lite_get_theme_mod( 'spiffy_lite_hide_breadcrumbs' );
$display_navigation = spiffy_lite_get_theme_mod( 'spiffy_lite_display_navigation_for_pages' );
?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'spf-single' ); ?>>
	<?php if ( ! $hide_featured_image && has_post_thumbnail() ) : ?>
		<div class="row">
			<div class="col-xs-12">
				<div class="spf-featured-image">
					<?php echo the_post_thumbnail( 'full' ); ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( is_search() ) : ?>
		<a href="<?php the_permalink(); ?>"><?php the_title( '<h1 class="spiffy-page-title word-underline">', '</h1>' ); ?></a>
	<?php else : ?>
		<?php the_title( '<h1 class="spiffy-page-title">', '</h1>' ); ?>
	<?php endif; ?>
	<?php
	if ( ! $hide_breadcrumbs ) :
		spiffy_lite_display_breadcrumbs();
	endif;
	?>
	<div class="spiffy-page-content">
		<?php the_content( esc_html( 'Read more', 'spiffy-lite' ) ); ?>
	</div>
</div>
<div class="spf-comments-container">
	<?php
	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) :
		comments_template();
	endif;

	if ( is_single() || is_page() && $display_navigation ) :
		the_post_navigation(array(
			'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next:', 'spiffy-lite' ) . '</span><span class="screen-reader-text">' . esc_html__( 'Next post:', 'spiffy-lite' ) . '</span><span class="post-title">%title</span>',
			'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous:', 'spiffy-lite' ) . '</span><span class="screen-reader-text">' . esc_html__( 'Previous post:', 'spiffy-lite' ) . '</span><span class="post-title">%title</span>',
		));
	endif;
	?>
</div>
